Subject: Re: default tar format for "make dist" and patch file length

From: Vagrant Cascadian <[email-masked]>
Date: Fri, 19 Nov 2021 21:21:29 -0800

On 2021-11-19, Philip McGrath wrote:
> On 11/19/21 09:54, Ludovic Courtès wrote:
>> Vagrant Cascadian <[email-masked]> skribis:
>>> So, I guess I'm leaning towards making the guix lint check a little more
>>> lenient.
>>>
>>> Thoughts?
>> 
>> That sounds even better, I’m all for it (changing (guix lint) + fixing
>> the two remaining issues)!

Submitted the guix lint change as https://issues.guix.gnu.org/51775

> It might also help to change the warning given by the check.
>
> When a program called "lint" tells me that something is too long, I 
> understand that to mean that what I've done is generally considered bad 
> style, but there might be a very good reason to do it in some specific 
> case. For example, I might exceed a line length guideline to avoid 
> inserting linebreaks into a URL.

That's a good point!

> If instead `guix lint` is telling us about a hard limit that will break 
> things, I think it should say so clearly.

Not sure how to convey succinctly, but here's an attempt at a patch
(which ironically also probably makes the line a bit too long in the
code):

diff --git a/guix/lint.scm b/guix/lint.scm
index ac2e7b3841..6464fb751a 100644
--- a/guix/lint.scm
+++ b/guix/lint.scm
@@ -968,7 +968,7 @@ (define (starts-with-package-name? file-name)
                              max)
                           (make-warning
                            package
-                           (G_ "~a: file name is too long")
+                           (G_ "~a: file name is too long and may break release tarball generation")
                            (list (basename patch))
                            #:field 'patch-file-names)
                           #f))
diff --git a/tests/lint.scm b/tests/lint.scm
index 9a91dd5426..d4c3d62aaf 100644
--- a/tests/lint.scm
+++ b/tests/lint.scm
@@ -509,7 +509,7 @@ (define hsab (string-append (assoc-ref inputs
"hsab")
 (test-equal "patches: file name too long"
   (string-append "x-"
                  (make-string 100 #\a)
-                 ".patch: file name is too long")
+                 ".patch: file name is too long and may break release tarball generation")
   (single-lint-warning-message
    (let ((pkg (dummy-package
                "x"

live well,
  vagrant